Bug 157856 - ls -Z should work when SE Linux is disabled
ls -Z should work when SE Linux is disabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-16 10:40 EDT by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-25 06:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2005-05-16 10:40:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.0 (like Gecko)

Description of problem:
The command "ls -Z" displays the value of the xattr named "security.selinux".   
That attribute will sometimes exist on machines not running SE Linux, for  
example a machine that has just had SE Linux disabled, a machine booted from a  
CD for recovery, or a non-SE machine with the hard disk from a SE machine  
connected for recovery or forensics.  
  
For these reasons it doesn't make sense for "ls" to check whether SE Linux is  
enabled before giving SE Linux functionality.  At the below URL I have put a 
modified version of the coreutils patch for SE Linux to remove such checks. 
 
http://www.coker.com.au/bug/coreutils-selinux.patch.gz 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Run "ls -Z" on a non-SE machine and observe an error message. 

Additional info:
Comment 1 Tim Waugh 2005-05-16 13:56:23 EDT
Fixed in CVS.

Package still building.

Note You need to log in before you can comment on or make changes to this bug.